{ inputs, config, pkgs, ... }:
{
  home.username = "root";
  home.homeDirectory = "/home/root";
  nix = {
    package = pkgs.nix;
  };

  imports = [
    (import ./utils/common.nix { inherit inputs config pkgs; })
  ];

  home.sessionVariables = {
    NIX_PATH = "${config.xdg.stateHome}/nix/profiles/channels/";
    LANG = "en_US.UTF-8";
    XDG_RUNTIME_DIR = "/run/user/$(id -u)";
  };
}
